
#ifndef _LINKCONSOLE_H
#define _LINKCONSOLE_H

#include <iostream>
#include <sys/time.h>
#include "cconsole.h"

using namespace std;

class LinkConsole: public CConsole {
public:
	CConsole *head;
	CConsole *tail;
	int higest_fd;
	char currentsegmentbuf[NUM_SEGMENTS+1];

	LinkConsole();
	~LinkConsole();

	int addconsole(CConsole *newcons);
	int showsegmenttext(const char *text);

	int flush(void);
	tape_key getcommand(fd_set *read_set, tape_key lastcmd);
	int fd_set_read(fd_set *read_set);
	int fd_set_write(fd_set *write_set);
	int redraw();
	int setvolume(int newvol, int peakvol);
	int showsegment(int num, unsigned char value);
	int setbuttonon(button_name name);
	int help(int outdev);
};

#endif
