/*
 * Speak Recorder
 * Copyright  2003 by Schou Industries ApS.
 */

#ifndef _MIXER_H
#define _MIXER_H

using namespace std;

typedef enum {
	mixclose,
	record,
	playback,
	stop
} mixer_mode;

class CMixer {
public:
	CMixer(char *mixerdevice, int *opt_pcm, int *opt_line, int *opt_igain);
	~CMixer(void);
	int set(mixer_mode setmode);
private:
	int fd;
	int devmask;
	int *pcm;
	int *line;
	int *igain;
};

#endif
