#ifndef _MOUSECONSOLE_H
#define _MOUSECCONSOLE_H

#include "cconsole.h"

using namespace std;

typedef struct mousebuf{
	unsigned char but;
	unsigned char horz;
	unsigned char vert;
} ;

#define BUT_LEFT  0x01 | 0x08
#define BUT_RIGHT 0x02 | 0x08
#define BUT_MID   0x04 | 0x08

#define KEY_RECORD BUT_LEFT
#define KEY_STOP BUT_RIGHT
#define KEY_EDIT BUT_MID

class MouseConsole: public CConsole {
public:
	tape_key key_last;

	MouseConsole(char *mousename);
	~MouseConsole(void);
	tape_key getcommand(fd_set *read_set, tape_key lastcmd);
	int fd_set_read(fd_set *read_set);

	int flush(void){};
	int fd_set_write(fd_set *write_set){};
	int redraw(){};
	int setvolume(int newvol, int peakvol){};
	int showsegment(int num, unsigned char value){};
	int setbuttonon(button_name name){};
	int help(int outdev);

private:
	struct mousebuf mbuf;
	struct mousebuf mbuf_old;
};

#endif

